org.eclnt.jsfserver.elements.componentnodes

## Class PAGEBEANINCLUDENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.PAGEBEANINCLUDENode

- All Implemented Interfaces:
    java.io.Serializable

      public class PAGEBEANINCLUDENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PAGEBEANINCLUDENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PAGEBEANINCLUDENode` | `bindClientname(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindComment(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindPagebeanbinding(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindPagebeaninitdata(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindRendered(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindShownullcontent(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindUpdateisolation(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `bindUpdateoninnereventonly(IDynamicContentBindingObject value)`
    `PAGEBEANINCLUDENode` | `setAttributemacro(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setClientname(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setComment(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setConfiginfo(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setId(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setPagebeanbinding(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setPagebeaninitdata(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setReference(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setRendered(boolean value)`
    `PAGEBEANINCLUDENode` | `setRendered(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setShownullcontent(boolean value)`
    `PAGEBEANINCLUDENode` | `setShownullcontent(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setUpdateisolation(boolean value)`
    `PAGEBEANINCLUDENode` | `setUpdateisolation(java.lang.String value)`
    `PAGEBEANINCLUDENode` | `setUpdateoninnereventonly(boolean value)`
    `PAGEBEANINCLUDENode` | `setUpdateoninnereventonly(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PAGEBEANINCLUDENode

          public PAGEBEANINCLUDENode()

  - ### Method Detail

    - #### setId

          public PAGEBEANINCLUDENode setId(java.lang.String value)

    - #### setAttributemacro

          public PAGEBEANINCLUDENode setAttributemacro(java.lang.String value)

    - #### setClientname

          public PAGEBEANINCLUDENode setClientname(java.lang.String value)

    - #### bindClientname

          public PAGEBEANINCLUDENode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public PAGEBEANINCLUDENode setComment(java.lang.String value)

    - #### bindComment

          public PAGEBEANINCLUDENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public PAGEBEANINCLUDENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public PAGEBEANINCLUDENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setPagebeanbinding

          public PAGEBEANINCLUDENode setPagebeanbinding(java.lang.String value)

    - #### bindPagebeanbinding

          public PAGEBEANINCLUDENode bindPagebeanbinding(IDynamicContentBindingObject value)

    - #### setPagebeaninitdata

          public PAGEBEANINCLUDENode setPagebeaninitdata(java.lang.String value)

    - #### bindPagebeaninitdata

          public PAGEBEANINCLUDENode bindPagebeaninitdata(IDynamicContentBindingObject value)

    - #### setReference

          public PAGEBEANINCLUDENode setReference(java.lang.String value)

    - #### setRendered

          public PAGEBEANINCLUDENode setRendered(java.lang.String value)

    - #### bindRendered

          public PAGEBEANINCLUDENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public PAGEBEANINCLUDENode setRendered(boolean value)

    - #### setShownullcontent

          public PAGEBEANINCLUDENode setShownullcontent(java.lang.String value)

    - #### bindShownullcontent

          public PAGEBEANINCLUDENode bindShownullcontent(IDynamicContentBindingObject value)

    - #### setShownullcontent

          public PAGEBEANINCLUDENode setShownullcontent(boolean value)

    - #### setUpdateisolation

          public PAGEBEANINCLUDENode setUpdateisolation(java.lang.String value)

    - #### bindUpdateisolation

          public PAGEBEANINCLUDENode bindUpdateisolation(IDynamicContentBindingObject value)

    - #### setUpdateisolation

          public PAGEBEANINCLUDENode setUpdateisolation(boolean value)

    - #### setUpdateoninnereventonly

          public PAGEBEANINCLUDENode setUpdateoninnereventonly(java.lang.String value)

    - #### bindUpdateoninnereventonly

          public PAGEBEANINCLUDENode bindUpdateoninnereventonly(IDynamicContentBindingObject value)

    - #### setUpdateoninnereventonly

          public PAGEBEANINCLUDENode setUpdateoninnereventonly(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.